> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints for a merchant



## OpenAPI

````yaml /openapi.json get /merchants/{merchantId}/webhook-endpoints
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1448-03-01'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /merchants/{merchantId}/webhook-endpoints:
    get:
      tags:
        - merchant-webhook-endpoints
      summary: List webhook endpoints for a merchant
      operationId: MerchantWebhookEndpointsController_list
      parameters:
        - name: merchantId
          required: true
          in: path
          description: Merchant TypeID (`mer_...`) owning the webhook endpoints.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWebhookEndpointsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ListWebhookEndpointsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              webhookEndpointId:
                type: string
              merchantId:
                type: string
              name:
                type: string
                nullable: true
              url:
                type: string
              status:
                type: string
                enum:
                  - active
                  - disabled
                  - deleted
              eventTypes:
                type: array
                items:
                  type: string
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              updatedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - webhookEndpointId
              - merchantId
              - name
              - url
              - status
              - eventTypes
              - createdAt
              - updatedAt
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: Merchant API key bearer token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.